Name:          ninja-ide
Version:       2.4
Release:       1mamba
Summary:       An IDE specially designed for Python Applications Development
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ninja-ide/ninja-ide
Source:        https://github.com/ninja-ide/ninja-ide.git/v%{version}/ninja-ide-%{version}.tar.bz2
Source1:       ninja-ide.desktop
Source2:       ninja-ide.1.gz
Patch0:        ninja-ide-2.3.20150712git-setup.py.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      python-pyinotify-py3
Requires:      PyQt5-py3
BuildArch:     noarch

%description
Ninja-IDE (from the recursive acronym: "Ninja-IDE Is Not Just Another IDE"), is a cross-platform integrated development environment (IDE).
Ninja-IDE allows developers to create applications for several purposes using all the tools and utilities of NINJA-IDE, making the task of writing software easier and more enjoyable.

%prep
%setup -q
#%patch0 -p1

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

sed -i "/file_for_tests.cpython/d" %{name}.filelist

#install -D -m0755 icon.png \
#   %{buildroot}%{_datadir}/pixmaps/ninja-ide.png
#install -D -m0644 %{S:1} \
#   %{buildroot}%{_datadir}/applications/ninja-ide.desktop
#install -D -m0644 %{S:2} \
#   %{buildroot}%{_mandir}/man1/ninja-ide.1.gz

#find %{buildroot} -name 'pep8mod.py' | xargs chmod 0755

%files -f %{name}.filelist
%defattr(-,root,root)
%{_datadir}/applications/ninja-ide.desktop
%dir %{_datadir}/NINJA-IDE/NINJA_IDE-%{version}-py*.egg-info
%{_datadir}/NINJA-IDE/NINJA_IDE-%{version}-py*.egg-info/*
%doc COPYING README.md

%changelog
* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-1mamba
- update to 2.4

* Sun Jul 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.20150712git-1mamba
- update to 2.3.20150712git

* Wed Dec 04 2013 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.3-1mamba
- package created using the webbuild interface
